package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created by ValerioC on 06/03/2018.
 */

public class MvwSitArtUdcDetInventario {

    private String gestione;
    private Date dataCollo;
    private String serCollo;
    private Integer numCollo;
    private Integer segno;
    private String codMdep;
    private String posizione;
    private Integer priorita;
    private String codGruppo;
    private String gruppo;
    private String codSgruppo;
    private String sottogruppo;
    private String codMart;
    private String diacod;
    private String descrizioneEstesa;
    private String partitaMag;
    private String codJcom;
    private String commessa;
    private String untMis;
    private BigDecimal qtaCol;
    private BigDecimal numCnf;
    private BigDecimal qtaCnf;
    private BigDecimal pesoNettoKg;
    private BigDecimal pesoLordoKg;
    private String codJfas;
    private MtbAart mtbAart;


    public String getGestione() {
        return gestione;
    }

    public MvwSitArtUdcDetInventario setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public Date getDataCollo() {
        return dataCollo;
    }

    public MvwSitArtUdcDetInventario setDataCollo(Date dataCollo) {
        this.dataCollo = dataCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public MvwSitArtUdcDetInventario setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public Integer getNumCollo() {
        return numCollo;
    }

    public MvwSitArtUdcDetInventario setNumCollo(Integer numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public Integer getSegno() {
        return segno;
    }

    public MvwSitArtUdcDetInventario setSegno(Integer segno) {
        this.segno = segno;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public MvwSitArtUdcDetInventario setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public MvwSitArtUdcDetInventario setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public Integer getPriorita() {
        return priorita;
    }

    public MvwSitArtUdcDetInventario setPriorita(Integer priorita) {
        this.priorita = priorita;
        return this;
    }

    public String getCodGruppo() {
        return codGruppo;
    }

    public MvwSitArtUdcDetInventario setCodGruppo(String codGruppo) {
        this.codGruppo = codGruppo;
        return this;
    }

    public String getGruppo() {
        return gruppo;
    }

    public MvwSitArtUdcDetInventario setGruppo(String gruppo) {
        this.gruppo = gruppo;
        return this;
    }

    public String getCodSgruppo() {
        return codSgruppo;
    }

    public MvwSitArtUdcDetInventario setCodSgruppo(String codSgruppo) {
        this.codSgruppo = codSgruppo;
        return this;
    }

    public String getSottogruppo() {
        return sottogruppo;
    }

    public MvwSitArtUdcDetInventario setSottogruppo(String sottogruppo) {
        this.sottogruppo = sottogruppo;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public MvwSitArtUdcDetInventario setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDiacod() {
        return diacod;
    }

    public MvwSitArtUdcDetInventario setDiacod(String diacod) {
        this.diacod = diacod;
        return this;
    }

    public String getDescrizioneEstesa() {
        return descrizioneEstesa;
    }

    public MvwSitArtUdcDetInventario setDescrizioneEstesa(String descrizioneEstesa) {
        this.descrizioneEstesa = descrizioneEstesa;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public MvwSitArtUdcDetInventario setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public MvwSitArtUdcDetInventario setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getCommessa() {
        return commessa;
    }

    public MvwSitArtUdcDetInventario setCommessa(String commessa) {
        this.commessa = commessa;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public MvwSitArtUdcDetInventario setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getQtaCol() {
        return qtaCol;
    }

    public MvwSitArtUdcDetInventario setQtaCol(BigDecimal qtaCol) {
        this.qtaCol = qtaCol;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public MvwSitArtUdcDetInventario setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public MvwSitArtUdcDetInventario setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getPesoNettoKg() {
        return pesoNettoKg;
    }

    public MvwSitArtUdcDetInventario setPesoNettoKg(BigDecimal pesoNettoKg) {
        this.pesoNettoKg = pesoNettoKg;
        return this;
    }

    public BigDecimal getPesoLordoKg() {
        return pesoLordoKg;
    }

    public MvwSitArtUdcDetInventario setPesoLordoKg(BigDecimal pesoLordoKg) {
        this.pesoLordoKg = pesoLordoKg;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public MvwSitArtUdcDetInventario setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public MvwSitArtUdcDetInventario setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }


    public MtbColr toMtbColr() {
        return new MtbColr()
                .setCodJcom(getCodJcom())
                .setCodMart(getCodMart())
                .setDataCollo(getDataCollo())
                .setNumCollo(getNumCollo())
                .setSerCollo(getSerCollo())
                .setGestione(getGestione())
                .setMtbAart(getMtbAart())
                .setNumCnf(getNumCnf())
                .setQtaCnf(getQtaCnf())
                .setQtaCol(getQtaCol())
                .setPartitaMag(getPartitaMag())
                .setPesoNettoKg(getPesoNettoKg())
                .setPesoLordoKg(getPesoLordoKg())
                .setUntMis(getUntMis());
    }
}
